Name:           gnustep-examples

Version:        1.3.0
Release:        15%{?dist}

Summary:        The GNUstep examples 
License:        GPLv2+ and GPLv3+
Group:          Applications/Productivity

URL:            http://www.gnustep.org
Source:         ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz

BuildRequires:  gcc-objc
BuildRequires:  gnustep-make >= 2.4.0
BuildRequires:  gnustep-base-devel
BuildRequires:  gnustep-gui
BuildRequires:  gnustep-gui-devel >= 0.18
Requires:       gnustep-base >= 1.15.1
Requires:	gnustep-back
 
%description 
This package contains sample applications for the GNUstep framework.

%prep
%setup -q

%build
make %{?_smp_mflags} messages=yes \
     GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles

%install
make %{_smp_mflags} install DESTDIR=${RPM_BUILD_ROOT} GNUSTEP_INSTALLATION_DOMAIN=SYSTEM \
     GNUSTEP_MAKEFILES=%{_libdir}/GNUstep/Makefiles

# Copy literal license text from a subdirectory
# to the top directory.

cp gui/ExampleTheme/Rhea/COPYING .

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/GNUstep/ApplicationSupport/GSTest/
%{_libdir}/GNUstep/Applications/*.app/
%{_libdir}/GNUstep/Services/example.service/

# Mailed upstream to put the COPYING
# file in the top dir initially
%doc README ChangeLog COPYING

%changelog
* Mon Apr  1 2013 Jochen Schmitt <Jochen herr-schmitt de> - 1.3.0-15
- Rebult to fix dependency issue

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 30 2012 Jochen Schmitt <Jochen herr-schmitt de> - 1.3.0-13
- Rebuilt for new releases of gnustep-base and gnustep-gui
- Clean up SPEC file

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb  9 2012 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-11
- Build agains new gnustep core

* Wed Jan  4 2012 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-10
- Fix dependencies issues on rawhide (libobjc.so.3

* Wed Oct 19 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-9
- Rebuilt to fix dependecies issues

* Thu Apr 28 2011 Jochen Schmitt <JOchen inet.herr-schmitt de> 1.3.0-8
- Rebuild for new gnustep-base and gnustep-gui

* Thu Feb 10 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-7
- Rebuild for gnustep snapshot

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-5
- Rebuild for new libobjc

* Wed Sep 29 2010 jkeating - 1.3.0-4
- Rebuilt for gcc bug 634757

* Sun Sep 26 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-3
- Set version of BR of gnustep-gui-devel >= 0.18

* Wed Sep 22 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-2
- Put COPYING file in the %%doc stanza

* Tue Jul  6 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.3.0-1
- Initial package for Fedora

